//  Конфиг для DragonFly Pro http://dspview.com/viewtopic.php?f=8&t=196
//  Одна ПЧ 8MHz, фильтр USB, гетеродины не переключаемые, 
//  Первый гетеродин выше частоты приема при LSB и ниже при USB

#ifndef CONFIG_SW_H
#define CONFIG_SW_H

// В режиме передачи CW на CLK2 формировать сигнал непосредственно с частотой передачи. При этом 
// остальные выходы отключены.
// Если закоментарено то формируется сигнал с частотой в пределах полосы пропускания ПЧ
// который должен в тракте смешиваться с сигналом первого гетеродина 
//#define CWTX_DIRECT_FREQ

// Частота 2го гетеродина в детекторе SSB. 
// Может быть определена как одна константа для верхнего/нижнего ската так и обе. 
// При определении только одной константы изменение боковой полосы производится 1ым гетеродином
// При определении обеих констант они должны находится на соответствующих скатах фидьтра.
//#define SSBDetectorFreq_LSB   7995600L
#define SSBDetectorFreq_USB   7998350L

// множители частоты на выходах. в случае необходимости получения на выводе 2/4 кратной
// частоты установить в соответствующее значение
const long CLK0_MULT = 1;
const long CLK1_MULT = 1;
const long CLK2_MULT = 1;

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//                  необходимо раскоментировать требуемую моду (только одну!)
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

// режим прямого преобразования. частота формируется на 1ом выводе. установить
// CLK0_MULT в значение 1/2/4 в зависимости от коэффициента деления частоты гетеродина
// второй и третий гетеродины отключены
//#define MODE_DC

// режим прямого преобразования с формированием квадратурн
// частота формируется на выводах CLK0,CLK1 со сдвигом фаз 90град
// CLK2 отключен. Минимальная частота настройки 2MHz (по даташиту 4MHz) может зависеть от экземпляра Si5351
// режим работает только при использовании Si5351
//#define MODE_DC_QUADRATURE

// одна промежуточная частота. требуемая боковая формируется на счет переключения
// первого гетеродина с инверсией боковой либо без инверсии. второй гетеродин формируется на выходе CLK1
// тип КФ зависит от параметров SSBDetectorFreq_LSB/USB. если фильтр симметричный (определены две частоты SSBDetectorFreq_*)
// то частота первого гетеродина всегда сверху (меньше пораженок) а боковая выбирается изменением частоты второго гетеродина
#define MODE_SINGLE_IF

// аналогично MODE_SINGLE_IF но второй гетеродин генерируется на CLK1 при RX и
// на CLK2 в режиме TX
//#define MODE_SINGLE_IF_RXTX

// аналогично MODE_SINGLE_IF но в режиме передачи гетеродины комутируются,
// тоесть первый формируется на CLK1, а второй - на CLK0
// для трактов где необходимо переключение гетеродинов при смене RX/TX (например Радио-76, Аматор)
//#define MODE_SINGLE_IF_SWAP

#endif
